routeMap
Configuration for routeMap resource.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| name | <String> | Read-write | Route map tag. |
| action | <String> | Read-write | Specifies if the route-map denies or permits the operations.
Possible values: permit, deny
|
| localPreference | <Integer> | Read-write | Set the BGP local preference path attribute.
Minimum value: 0
Maximum value: 4294967295
|
| matchAsPath | <String> | Read-write | Match the BGP AS-path list. |
| matchCommunity | <String> | Read-write | Match BGP community list. |
| matchIpAddress | <String> | Read-write | Match IP address of route. IP access-list number in the range <1-99> or acces-list name. |
| matchIpNextHop | <String> | Read-write | Match next-hop address of route. IP access-list number in the range <1-99> or acces-list name. |
| matchMetric | <Integer> | Read-write | Match values from routing table. Match metric of route.
Minimum value: 0
Maximum value: 4294967295
|
| matchRouteType | <String> | Read-write | Match OSPF external routes of type 1 or type 2 metrics.
Possible values: type-1, type-2
|
| sequence | <Integer> | Read-write | Sequence to insert to/delete from existing route-map entry.
Minimum value: 1
Maximum value: 65535
|
| setAsPath | <String> | Read-write | Set the prepend string for a BGP AS-path attribute |
| setCommunity | <String> | Read-write | Set the BGP community attribute. |
| setIpNextHop | <String> | Read-write | Set next hop address of a route. |
| setMetric | <Integer> | Read-write | Set metric value for destination routing protocol.
Minimum value: 0
Maximum value: 4294967295
|
| setMetricType | <String> | Read-write | Set type of metric for destination routing protocol. OSPF external type 1 metric or OSPF external type 2 metric.
Possible values: type-1, type-2
|
| weight | <Integer> | Read-write | Set BGP weight for routing table.
Minimum value: 0
Maximum value: 4294967295
|
Operations
(click to see Properties )
- ADD
- SET
- UNSET
- DELETE
- GET
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/routeMap HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"routeMap" : {
<b>"name" : <String></b>,
"rules" : {
<b>"action" : <String></b>,
"localPreference" : <Integer>,
"matchAsPath" : <String>,
"matchCommunity" : <String>,
"matchIpAddress" : <String>,
"matchIpNextHop" : <String>,
"matchMetric" : <Integer>,
"matchRouteType" : <String>,
<b>"sequence" : <Integer></b>,
"setAsPath" : <String>,
"setCommunity" : <String>,
"setIpNextHop" : <String>,
"setMetric" : <Integer>,
"setMetricType" : <String>,
"weight" : <Integer>
}
}
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
set
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/routeMap HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"routeMap" : {
<b>"name" : <String></b>,
"rules" : {
<b>"action" : <String></b>,
"localPreference" : <Integer>,
"matchAsPath" : <String>,
"matchCommunity" : <String>,
"matchIpAddress" : <String>,
"matchIpNextHop" : <String>,
"matchMetric" : <Integer>,
"matchRouteType" : <String>,
<b>"sequence" : <Integer></b>,
"setAsPath" : <String>,
"setCommunity" : <String>,
"setIpNextHop" : <String>,
"setMetric" : <Integer>,
"setMetricType" : <String>,
"weight" : <Integer>
}
}
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
unset
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/routeMap HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"routeMap" : {
<b>"name" : <String></b>,
"rules" : {
<b>"action" : <String></b>,
"localPreference" : true,
"matchAsPath" : true,
"matchCommunity" : true,
"matchIpAddress" : true,
"matchIpNextHop" : true,
"matchMetric" : true,
"matchRouteType" : true,
<b>"sequence" : <Integer></b>,
"setAsPath" : true,
"setCommunity" : <String>,
"setIpNextHop" : true,
"setMetric" : true,
"setMetricType" : true,
"weight" : true
}
}
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/routeMap?args=name:<String> HTTP Method: DELETE
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/routeMap URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/routeMap?args=name:<String> Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/routeMap ?args=name:<String>
Use this query-parameter to get routeMap resources based on additional properties.
HTTP Method: GET
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Payload:
{ "routerDynamicRouting": {
"routeMap" : [{
"name" : <String>,
"rules" : [{
"action" : <String>,
"localPreference" : <Integer>,
"matchAsPath" : <String>,
"matchCommunity" : <String>,
"matchIpAddress" : <String>,
"matchIpNextHop" : <String>,
"matchMetric" : <Integer>,
"matchRouteType" : <String>,
"sequence" : <Integer>,
"setAsPath" : <String>,
"setCommunity" : <String>,
"setIpNextHop" : <String>,
"setMetric" : <Integer>,
"setMetricType" : <String>,
"weight" : <Integer>
}]
}]
}}